MONGOC_AUTO_ENCRYPTION_OPTS_SET_KEY_VAULT_CLIENT(3)

NAME
mongoc_auto_encryption_opts_set_key_vault_client - mongoc_auto_encryption_opts_set_keyvault_client()

SYNOPSIS

void
mongoc_auto_encryption_opts_set_keyvault_client (
   mongoc_auto_encryption_opts_t *opts, mongoc_client_t *client);

Set an optional separate mongoc_client_t to use during key lookup for automatic encryption and decryption. Only applies to automatic encryption on a single-threaded mongoc_client_t.

PARAMETERS

•   opts: A mongoc_auto_encryption_opts_t.

•   client: A mongoc_client_t to use for key queries. This client should not have automatic encryption enabled, as it will only execute find commands against the key vault collection to retrieve keys for automatic encryption and decryption. This client MUST outlive any mongoc_client_t which has been enabled to use it through mongoc_client_enable_auto_encryption().

SEE ALSO

•   mongoc_client_enable_auto_encryption()

•   mongoc_auto_encryption_opts_set_keyvault_client_pool()

•   The guide for Using Client-Side Field Level Encryption

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc